Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
tnpc

Không thể tìm điểm thấp nhất của spline

Các bài được khuyến nghị

tnpc    0

Mình có 1 điều chưa làm được là tìm điểm thấp nhất của 1 đường SPLINE. Mong nhận được sự giúp đỡ của các bạn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Mình có 1 điều chưa làm được là tìm điểm thấp nhất của 1 đường SPLINE. Mong nhận được sự giúp đỡ của các bạn.

Tiêu đề của bạn cũng là 1 lời khẳng định rồi.

Trong các lệnh AutoCAD không có bất cứ 1 lệnh nào tìm điểm thấp nhất của hình bất kỳ (chứ chưa nói đến spline).

 

Khi có sự can thiệp của Autolisp, việc tìm điểm dưới cùng của 1 spline cũng rất phức tạp. Mặc dù autocad có cung cấp hàm vla-getboundingbox để lấy hình chữ nhật bao của đối tượng, hàm này đúng với gần như mọi đối tượng (kể cả phức tạp như block). Nhưng duy có spline là không đúng.

 

Nhưng nhân tiện bạn đã hỏi, thì cũng xin nêu 2 hàm AutoLisp lấy điểm Trái-Dưới và Phải-Trên của hình chữ nhật bao đối tượng bất kỳ (trừ spline).

(defun GocTD(ent / p1 p2)

(vla-getboundingbox (vlax-ename->vla-object ent) 'p1 'p2)

(vlax-safearray->list p1)

)

(defun GocPT(ent / p1 p2)

(vla-getboundingbox (vlax-ename->vla-object ent) 'p1 'p2)

(vlax-safearray->list p2)

)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×